AR3012 bluetooth [13d3:3474] on asus n551 not working

Bug #1427680 reported by shutt1e on 2015-03-03
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Pilot6
Precise
Undecided
Unassigned
Vivid
Undecided
Unassigned

Bug Description

can't configure any bluetooth device with this laptop. bluetooth adapter is recognized and all seem working but it is unable to find any device on a scan.
i tried installing blueman also but either it is unable to find any device.
i've also read many posts with bluetooth solutions for 14.04 but none helped to solve the situation.
i've also tried a mainline kernel (3.19) with no changes.
currently i'm using 3.13.0-46-generic
on the attached archive some files taken from the laptop (lspci,lsusb,rfkill list,dmesg |grep Blue,lsmod and the output of hciconfig -a)
there are no evidences of problems but the bluetooth don't work.
unluckly even the touchpad don't work so well on this laptop, so having to use the mouse is a pain

late addition- i forgot to tell, on my dual boot system, the microsoft sculpt mouse bluetooth works as expected on windows 7
Ubuntu is not able to see any blutooth device, i have tried 2 phones and this ms mouse, and is not seen by the phones also.

---
ApportVersion: 2.14.1-0ubuntu3.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: hook 2242 F.... pulseaudio
 /dev/snd/controlC1: hook 2242 F.... pulseaudio
CurrentDesktop: Unity
DistroRelease: Ubuntu 14.04
HibernationDevice: RESUME=UUID=4e7d3097-1e36-4191-98d8-df04a9ce48d2
InstallationDate: Installed on 2012-11-06 (847 days ago)
InstallationMedia: Ubuntu 12.04.1 LTS "Precise Pangolin" - Release amd64 (20120823.1)
MachineType: ASUSTeK COMPUTER INC. N551JM
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-46-generic root=UUID=822863c8-1a3d-4ef2-8f89-0a2e8dc58ab9 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.13.0-46.77-generic 3.13.11-ckt15
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-46-generic N/A
 linux-backports-modules-3.13.0-46-generic N/A
 linux-firmware 1.127.11
Tags: trusty
Uname: Linux 3.13.0-46-generic x86_64
UpgradeStatus: Upgraded to trusty on 2015-01-04 (57 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 10/06/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: N551JM.204
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: N551JM
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrN551JM.204:bd10/06/2014:svnASUSTeKCOMPUTERINC.:pnN551JM:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnN551JM:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.name: N551JM
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

shutt1e (s-shuttle) wrote :

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1427680

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.0 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.0-rc1-vivid/

Changed in linux (Ubuntu):
importance: Undecided → Medium

apport information

tags: added: apport-collected trusty
description: updated

apport information

shutt1e (s-shuttle) wrote : CRDA.txt

apport information

apport information

apport information

shutt1e (s-shuttle) wrote : Lspci.txt

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

apport information

apport information

apport information

apport information

apport information

apport information

shutt1e (s-shuttle) on 2015-03-03
description: updated
tags: added: kernel-bug-exists-upstream

Linux N551 4.0.0-040000rc2-generic #201503031836 SMP Tue Mar 3 18:37:51 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

tried this one, does not fix the issue

unless i have to reset something on the bluetooth configuration, dunno if just swapping the kernel is enough.

shutt1e (s-shuttle) on 2015-03-03
description: updated
Jeremy (wa113y3s) wrote :

The issue is that your bluetooth device isn't supported even in linux next.

Bus 003 Device 002: ID 13d3:3474 IMC Networks appears to be another AR3012 bluetooth device

shutt1e (s-shuttle) wrote :

has been the support of this device dropped lately? because seem to me when i first updated to 14.02 from 12.04 the bluetooth was working, then the first batch of auto updates and the next ones (including kernel updates) broken it at all.
unluckly i have purged the older kernels because the space on my ssd isn't huge so can't test older kernels. but maybe i can try burning again the iso and start from cd.

Jeremy (wa113y3s) wrote :

Don't do that as I think Joshua knows how to build you a new kernel with the patched btusb and ath3k and then we have to hope the firmware it needs is in linux-firmware.

shutt1e (s-shuttle) wrote :

i'm just trying that, seem the patch is quite simple, as it finish to build i'll test to see if there are firmware issues

shutt1e (s-shuttle) wrote :

ok, just adding the id to both ath3k.c and btusb.c and recompiling it make both modules recognize the bt interface. i have successfully paired my bt mouse (found it disconnected and have to reconnect manually after a reboot but this is another problem)

i hope this device will be added on next kernel releases due it is missing on 4.0 too

this patch is for kernel 3.13.0-46-generic #77-Ubuntu

--- original/linux-3.13.0/drivers/bluetooth/ath3k.c 2015-03-04 23:31:07.000000000 +0100
+++ patched/linux-3.13.0/drivers/bluetooth/ath3k.c 2015-03-04 22:42:21.865060950 +0100
@@ -99,6 +99,8 @@
  { USB_DEVICE(0x0cf3, 0x3121) },
  { USB_DEVICE(0x0cf3, 0xe003) },
  { USB_DEVICE(0x13d3, 0x3408) },
+ { USB_DEVICE(0x13d3, 0x3474) },
+

  /* Atheros AR5BBU12 with sflash firmware */
  { USB_DEVICE(0x0489, 0xE02C) },
@@ -144,6 +146,7 @@
  { USB_DEVICE(0x0cf3, 0x3121), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0cf3, 0xe003), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x13d3, 0x3408), .driver_info = BTUSB_ATH3012 },
+ { USB_DEVICE(0x13d3, 0x3474), .driver_info = BTUSB_ATH3012 },

  /* Atheros AR5BBU22 with sflash firmware */
  { USB_DEVICE(0x0489, 0xE03C), .driver_info = BTUSB_ATH3012 },

--- original/linux-3.13.0/drivers/bluetooth/btusb.c 2015-03-04 23:31:07.000000000 +0100
+++ patched/linux-3.13.0/drivers/bluetooth/btusb.c 2015-03-04 14:38:34.403678567 +0100
@@ -175,6 +175,8 @@
  { USB_DEVICE(0x0cf3, 0x3121), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0cf3, 0xe003), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x13d3, 0x3408), .driver_info = BTUSB_ATH3012 },
+ { USB_DEVICE(0x13d3, 0x3474), .driver_info = BTUSB_ATH3012 },
+

  /* Atheros AR5BBU12 with sflash firmware */
  { USB_DEVICE(0x0489, 0xe02c), .driver_info = BTUSB_IGNORE },

Jeremy (wa113y3s) wrote :

Nice job! You will likely have to do this for a few kernel updates to keep your bluetooth going. Hopefully Joseph or someone else can get this submitted into the Ubuntu kernel and possibly into linux-next

tags: added: latest-bios-204
Pilot6 (hanipouspilot) wrote :

Please give output of

usb-devices

After that, the patch can be added upstream.

shutt1e (s-shuttle) wrote :

sorry, i don't have the device anymore. i swapped it with a broadcom based card.

blusa (corsiandr) wrote :

Hi, i have the same device, if it's usefull this is the required usb-devices output:
andrea@portabile:~$ usb-devices

T: Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh=14
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.19
S: Manufacturer=Linux 3.19.0-16-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=01 Lev=01 Prnt=01 Port=04 Cnt=01 Dev#= 4 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=13d3 ProdID=3474 Rev=00.01
C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

T: Bus=01 Lev=01 Prnt=01 Port=06 Cnt=02 Dev#= 3 Spd=480 MxCh= 0
D: Ver= 2.00 Cls=ef(misc ) Sub=02 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=13d3 ProdID=5188 Rev=08.14
S: Manufacturer=Azurewave
S: Product=USB2.0 UVC HD Webcam
S: SerialNumber=NULL
C: #Ifs= 2 Cfg#= 1 Atr=80 MxPwr=500mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=0e(video) Sub=01 Prot=00 Driver=uvcvideo
I: If#= 1 Alt= 0 #EPs= 0 Cls=0e(video) Sub=02 Prot=00 Driver=uvcvideo

T: Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=5000 MxCh= 4
D: Ver= 3.00 Cls=09(hub ) Sub=00 Prot=03 MxPS= 9 #Cfgs= 1
P: Vendor=1d6b ProdID=0003 Rev=03.19
S: Manufacturer=Linux 3.19.0-16-generic xhci-hcd
S: Product=xHCI Host Controller
S: SerialNumber=0000:00:14.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 2
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.19
S: Manufacturer=Linux 3.19.0-16-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1a.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=03 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 6
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=8008 Rev=00.05
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=04 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#= 1 Spd=480 MxCh= 2
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=00 MxPS=64 #Cfgs= 1
P: Vendor=1d6b ProdID=0002 Rev=03.19
S: Manufacturer=Linux 3.19.0-16-generic ehci_hcd
S: Product=EHCI Host Controller
S: SerialNumber=0000:00:1d.0
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

T: Bus=04 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 2 Spd=480 MxCh= 8
D: Ver= 2.00 Cls=09(hub ) Sub=00 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=8087 ProdID=8000 Rev=00.05
C: #Ifs= 1 Cfg#= 1 Atr=e0 MxPwr=0mA
I: If#= 0 Alt= 0 #EPs= 1 Cls=09(hub ) Sub=00 Prot=00 Driver=hub

Pilot6 (hanipouspilot) wrote :
Pilot6 (hanipouspilot) wrote :

Resent it, forgot to add maintainer. It probably has not been seen.

https://lkml.org/lkml/2015/6/6/115

Pilot6 (hanipouspilot) on 2015-06-06
Changed in linux (Ubuntu):
assignee: nobody → Pilot6 (hanipouspilot)
Pilot6 (hanipouspilot) wrote :

Patch applied upstream.

Changed in linux (Ubuntu):
status: Confirmed → In Progress
Po-Hsu Lin (cypressyew) on 2015-06-25
summary: - bluetooth on asus n551 not working
+ AR3012 bluetooth [13d3:3474] on asus n551 not working
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.0.0-4.6

---------------
linux (4.0.0-4.6) wily; urgency=low

  [ Andy Whitcroft ]

  * Release Tracking Bug
    - LP: #1470233
  * rebase to mainline v4.0.7

  [ Jay Vosburgh ]

  * SAUCE: fan: Proof of concept implementation (v2)
    - LP: #1439706
  * SAUCE: fan: tunnel multiple mapping mode (v3)
    - LP: #1470091

  [ Upstream Kernel Changes ]

  * rebase to v4.0.7
    - LP: #1427680
    - LP: #1462614

 -- Andy Whitcroft <email address hidden> Tue, 30 Jun 2015 16:55:32 +0100

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Luis Henriques (henrix) on 2015-07-28
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
Brad Figg (brad-figg) wrote :

Fix came in via stable upstream release.

tags: added: verification-done-trusty verification-done-vivid
removed: verification-needed-trusty verification-needed-vivid
Launchpad Janitor (janitor) wrote :
Download full text (30.6 KiB)

This bug was fixed in the package linux - 3.19.0-26.28

---------------
linux (3.19.0-26.28) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1483630

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: ath3k: Add support of 04ca:300d AR3012 device"

linux (3.19.0-26.27) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1479055
  * [Config] updateconfigs for 3.19.8-ckt4 stable update

  [ Chris J Arges ]

  * [Config] Add MTD_POWERNV_FLASH and OPAL_PRD
    - LP: #1464560

  [ Mika Kuoppala ]

  * SAUCE: i915_bpo: drm/i915: Fix divide by zero on watermark update
    - LP: #1473175

  [ Tim Gardner ]

  * [Config] ACORN_PARTITION=n
    - LP: #1453117
  * [Config] Add i40e[vf] to d-i
    - LP: #1476393

  [ Timo Aaltonen ]

  * SAUCE: i915_bpo: Rebase to v4.2-rc3
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "mm/fault, drm/i915: Use pagefault_disabled()
    to check for disabled pagefaults"
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "drm: i915: Port to new backlight interface
    selection API"
    - LP: #1473175

  [ Upstream Kernel Changes ]

  * Revert "tools/vm: fix page-flags build"
    - LP: #1473547
  * Revert "ALSA: hda - Add mute-LED mode control to Thinkpad"
    - LP: #1473547
  * Revert "drm/radeon: adjust pll when audio is not enabled"
    - LP: #1473547
  * Revert "crypto: talitos - convert to use be16_add_cpu()"
    - LP: #1479048
  * module: Call module notifier on failure after complete_formation()
    - LP: #1473547
  * gpio: gpio-kempld: Fix get_direction return value
    - LP: #1473547
  * ARM: dts: imx27: only map 4 Kbyte for fec registers
    - LP: #1473547
  * ARM: 8356/1: mm: handle non-pmd-aligned end of RAM
    - LP: #1473547
  * x86/mce: Fix MCE severity messages
    - LP: #1473547
  * mac80211: don't use napi_gro_receive() outside NAPI context
    - LP: #1473547
  * iwlwifi: mvm: Free fw_status after use to avoid memory leak
    - LP: #1473547
  * iwlwifi: mvm: clean net-detect info if device was reset during suspend
    - LP: #1473547
  * drm/plane-helper: Adapt cursor hack to transitional helpers
    - LP: #1473547
  * ARM: dts: set display clock correctly for exynos4412-trats2
    - LP: #1473547
  * hwmon: (ntc_thermistor) Ensure iio channel is of type IIO_VOLTAGE
    - LP: #1473547
  * mfd: da9052: Fix broken regulator probe
    - LP: #1473547
  * ALSA: hda - Fix noise on AMD radeon 290x controller
    - LP: #1473547
  * lguest: fix out-by-one error in address checking.
    - LP: #1473547
  * xfs: xfs_attr_inactive leaves inconsistent attr fork state behind
    - LP: #1473547
  * xfs: xfs_iozero can return positive errno
    - LP: #1473547
  * fs, omfs: add NULL terminator in the end up the token list
    - LP: #1473547
  * omfs: fix sign confusion for bitmap loop counter
    - LP: #1473547
  * d_walk() might skip too much
    - LP: #1473547
  * dm: fix casting bug in dm_merge_bvec()
    - LP: #1473547
  * hwmon: (nct6775) Add missing sysfs attribute initialization
    - LP: #1473547
  * hwmon: (nct6683) Add missing sysfs attribute initialization
    - LP: #1473547
  * target/pscsi: Don't leak scsi_host if hba is VIRTUAL_HOST
    - LP: #1473547
  * net...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
Luis Henriques (henrix) on 2015-09-09
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Brad Figg (brad-figg) on 2015-09-17
tags: added: verification-done-precise
removed: verification-needed-precise
Launchpad Janitor (janitor) wrote :
Download full text (20.5 KiB)

This bug was fixed in the package linux - 3.2.0-91.129

---------------
linux (3.2.0-91.129) precise; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1493780

  [ Upstream Kernel Changes ]

  * Bluetooth: ath3k: Add support Atheros AR5B195 combo Mini PCIe card
    - LP: #1490923
  * Drivers: hv: vmbus: Fix a bug in the error path in vmbus_open()
    - LP: #1490923
  * e1000: add dummy allocator to fix race condition between mtu change and
    netpoll
    - LP: #1490923
  * KVM: s390: Zero out current VMDB of STSI before including level3 data.
    - LP: #1490923
  * usb: musb: core: fix TX/RX endpoint order
    - LP: #1490923
  * compal-laptop: Check return value of power_supply_register
    - LP: #1490923
  * pinctrl: fix example .get_group_pins implementation signature
    - LP: #1490923
  * drm/radeon: fix doublescan modes (v2)
    - LP: #1490923
  * lib: memzero_explicit: use barrier instead of OPTIMIZER_HIDE_VAR
    - LP: #1490923
  * ASoC: wm8741: Fix rates constraints values
    - LP: #1490923
  * cdc-wdm: fix endianness bug in debug statements
    - LP: #1490923
  * staging: panel: fix lcd type
    - LP: #1490923
  * UBI: account for bitflips in both the VID header and data
    - LP: #1490923
  * UBI: fix out of bounds write
    - LP: #1490923
  * UBI: initialize LEB number variable
    - LP: #1490923
  * UBI: fix check for "too many bytes"
    - LP: #1490923
  * Drivers: hv: vmbus: Don't wait after requesting offers
    - LP: #1490923
  * Btrfs: fix log tree corruption when fs mounted with -o discard
    - LP: #1490923
  * btrfs: don't accept bare namespace as a valid xattr
    - LP: #1490923
  * ARM: 8320/1: fix integer overflow in ELF_ET_DYN_BASE
    - LP: #1490923
  * rtlwifi: rtl8192cu: Add new USB ID
    - LP: #1490923
  * MIPS: Hibernate: flush TLB entries earlier
    - LP: #1490923
  * ASoC: cs4271: Increase delay time after reset
    - LP: #1490923
  * ext4: make fsync to sync parent dir in no-journal for real this time
    - LP: #1490923
  * jhash: Update jhash_[321]words functions to use correct initval
    - LP: #1490923
  * Input: elantech - fix absolute mode setting on some ASUS laptops
    - LP: #1490923
  * RDS: Documentation: Document AF_RDS, PF_RDS and SOL_RDS correctly.
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_GETSPDINFO
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_[NEW|GET]SADINFO
    - LP: #1490923
  * x86/iommu: Fix header comments regarding standard and _FINISH macros
    - LP: #1490923
  * scsi: storvsc: Fix a bug in copy_from_bounce_buffer()
    - LP: #1490923
  * ALSA: emu10k1: don't deadlock in proc-functions
    - LP: #1490923
  * powerpc: Fix missing L2 cache size in /sys/devices/system/cpu
    - LP: #1490923
  * sg_start_req(): make sure that there's not too many elements in iovec
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_REPORT
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_MIGRATE
    - LP: #1490923
  * selinux/nlmsg: add XFRM_MSG_MAPPING
    - LP: #1490923
  * s390/hibernate: fix save and restore of kernel text section
    - LP: #1490923
  * Btrfs: fix inode eviction infinite loop after cloning into it
    - LP: #1490923
  * powerpc/perf: Cap 64bit use...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers